new AudioProfile(ChatSound)
{
	fileName = "Add-Ons/Client_ChatSound/sounds/noise.wav";
	description = AudioGui;
	preload = true;
};

if($Pref::Client::ChatSound $= "")
	$Pref::Client::ChatSound = true;

package cchatsounds
{
	function clientCmdChatMessage(%wat,%lol,%m,%msg,%a0,%a1,%a2,%a3,%a4,%a5,%a6,%a7,%a8,%a9)
	{
		Parent::clientCmdChatMessage(%wat,%lol,%m,%msg,%a0,%a1,%a2,%a3,%a4,%a5,%a6,%a7,%a8,%a9);
		if(%msg !$= "" && getSimTime()-100 > $lastMessageTime && $Pref::Client::ChatSound)
		{
			$lastMessageTime = getSimTime();
			alxPlay(ChatSound);
		}
	}
};
activatePackage(cchatsounds);

function toggleChatSound(%val)
{
	if(%val)
	{
		$Pref::Client::ChatSound = $Pref::Client::ChatSound ? false : true;
		clientCmdServerMessage('',"Chat Sounds enabled: " @ $Pref::Client::ChatSound);
	}
}

function AddBind(%division, %name, %command)
{
	for(%i=0;%i<$remapCount;%i++)
	{
		if($remapDivision[%i] $= %division)
		{
			%foundDiv = 1;
			continue;
		}
		if(%foundDiv && $remapDivision[%i] !$= "")
		{
			%position = %i;
			break;
		}
	}
	if(!%foundDiv)
	{
		error("Division not found: " @ %division);
		return;
	}
	if(!%position)
	{
		$remapName[$remapCount] = %name;
		$remapCmd[$remapCount] = %command;
		$remapCount++;
		return;
	}
	for(%i=$remapCount;%i>%position;%i--)
	{
		$remapDivision[%i] = $remapDivision[%i - 1];
		$remapName[%i] = $remapName[%i - 1];
		$remapCmd[%i] = $remapCmd[%i - 1];
	}
	$remapDivision[%position] = "";
	$remapName[%position] = %name;
	$remapCmd[%position] = %command;
	$remapCount++;
}

if(!$addedChatSoundBind)
{
	AddBind("Communication","Toggle Chat Sound","toggleChatSound");
	$addedChatSoundBind = true;
}